org.apache.xmlbeans.impl.schema

## Class SchemaAnnotationImpl

- java.lang.Object
- - org.apache.xmlbeans.impl.schema.SchemaAnnotationImpl

All Implemented Interfaces:
  SchemaAnnotation, SchemaComponent

    public class SchemaAnnotationImpl
    extends Object
    implements SchemaAnnotation

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.xmlbeans.SchemaAnnotation

`SchemaAnnotation.Attribute`

### Nested classes/interfaces inherited from interface org.apache.xmlbeans.SchemaComponent

`SchemaComponent.Ref`

### Field Summary

### Fields inherited from interface org.apache.xmlbeans.SchemaComponent

`ANNOTATION, ATTRIBUTE, ATTRIBUTE_GROUP, ELEMENT, IDENTITY_CONSTRAINT, MODEL_GROUP, NOTATION, TYPE`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static SchemaAnnotationImpl` `getAnnotation(org.apache.xmlbeans.impl.schema.SchemaContainer c, Annotated elem)`
`static SchemaAnnotationImpl` `getAnnotation(org.apache.xmlbeans.impl.schema.SchemaContainer c, XmlObject elem, AnnotationDocument.Annotation ann)`
`XmlObject[]` `getApplicationInformation()` Retrieves all application information items from this annotation
`SchemaAnnotation.Attribute[]` `getAttributes()` Retrieves all attributes that are is a namespace other than http://www.w3.org/2001/XMLSchema from the annotation element and from the enclosing Schema component
`SchemaComponent.Ref` `getComponentRef()` Used for on-demand loading of schema components.
`int` `getComponentType()` Returns the type code for the schema object, either `SchemaComponent.TYPE`, `SchemaComponent.ELEMENT`, `SchemaComponent.ATTRIBUTE`, `SchemaComponent.ATTRIBUTE_GROUP`, `SchemaComponent.MODEL_GROUP`, `SchemaComponent.IDENTITY_CONSTRAINT`, or `SchemaComponent.NOTATION`.
`QName` `getName()` The name of the schema component
`String` `getSourceName()` The name of resource that represends the source .xsd in which this component was defined (if known) See: `SchemaTypeLoader.getSourceAsStream(String)` Example:
`SchemaTypeSystem` `getTypeSystem()` Returns the typesystem within which this component definition resides
`XmlObject[]` `getUserInformation()` Retrieves all document information items from this annotation
`void` `setFilename(String filename)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### setFilename

    public void setFilename(String filename)

#### getSourceName

    public String getSourceName()

Description copied from interface: `SchemaComponent`
The name of resource that represends the source .xsd in which this component was defined (if known)
See: `SchemaTypeLoader.getSourceAsStream(String)`
Example:

       SchemaType schemaType = ..;
       InputStream is = schemaType.getTypeSystem().getSourceAsStream(schemaType.getSourceName());

Specified by:
  `getSourceName` in interface `SchemaComponent`

#### getApplicationInformation

    public XmlObject[] getApplicationInformation()

Description copied from interface: `SchemaAnnotation`
Retrieves all application information items from this annotation

Specified by:
  `getApplicationInformation` in interface `SchemaAnnotation`

#### getUserInformation

    public XmlObject[] getUserInformation()

Description copied from interface: `SchemaAnnotation`
Retrieves all document information items from this annotation

Specified by:
  `getUserInformation` in interface `SchemaAnnotation`

#### getAttributes

    public SchemaAnnotation.Attribute[] getAttributes()

Description copied from interface: `SchemaAnnotation`
Retrieves all attributes that are is a namespace other than http://www.w3.org/2001/XMLSchema from the annotation element and from the enclosing Schema component

Specified by:
  `getAttributes` in interface `SchemaAnnotation`

#### getComponentType

    public int getComponentType()

Description copied from interface: `SchemaComponent`
Returns the type code for the schema object, either `SchemaComponent.TYPE`, `SchemaComponent.ELEMENT`, `SchemaComponent.ATTRIBUTE`, `SchemaComponent.ATTRIBUTE_GROUP`, `SchemaComponent.MODEL_GROUP`, `SchemaComponent.IDENTITY_CONSTRAINT`, or `SchemaComponent.NOTATION`.

Specified by:
  `getComponentType` in interface `SchemaComponent`

#### getTypeSystem

    public SchemaTypeSystem getTypeSystem()

Description copied from interface: `SchemaComponent`
Returns the typesystem within which this component definition resides

Specified by:
  `getTypeSystem` in interface `SchemaComponent`

#### getName

    public QName getName()

Description copied from interface: `SchemaComponent`
The name of the schema component

Specified by:
  `getName` in interface `SchemaComponent`

#### getComponentRef

    public SchemaComponent.Ref getComponentRef()

Description copied from interface: `SchemaComponent`
Used for on-demand loading of schema components.

Specified by:
  `getComponentRef` in interface `SchemaComponent`

#### getAnnotation

    public static SchemaAnnotationImpl getAnnotation(org.apache.xmlbeans.impl.schema.SchemaContainer c,
                                                     Annotated elem)

#### getAnnotation

    public static SchemaAnnotationImpl getAnnotation(org.apache.xmlbeans.impl.schema.SchemaContainer c,
                                                     XmlObject elem,
                                                     AnnotationDocument.Annotation ann)